using UnityEngine.Events;
using Object = UnityEngine.Object;

namespace BingoBrain.Asset
{
    public interface IBigose
    {
        T GetAsset<T>(string assetUrl, string assetName) where T : Object;
        
        void GetAsset<T>(string assetUrl, string assetName, UnityAction<T> onCompleted) where T : Object;
        
        void RecycleAsset(string assetUrl, UnityAction onCompleted);
    }
}